<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Software Engineering code of ethics and Professionals Practice</title>
</head>
<body>
		<h5><em>Science and Engineering Ethics (2001)7,231-238</em></h5>
<hr>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h3>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
	<hr>
	<p><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</p>

	<h4>PREAMBLE</h4>

	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
	</p>

	<p>Software engineers shall commit themselves to making the analysis, specification, design development, testing, and maitenance of software a beneficial and respected profession. in accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:
	</p>

	<h4>PRINCIPLES</h4>

	<ol>
		<li><em>Public.</em> Software engineers shall act consistently with public interest.</li>
		<li><em>Client and employer. </em>Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with public interest.</li>
		<li><em>Products. </em>Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
		<li><em>Judgment. </em>Software engineers shall maintain integrity and independence intheir professional judgment.</li>
		<li><em>Management. </em>Software engineering managers and leaders shall subcribe to and promote an ethical approach to the management of software development and maintenace.</li>
		<li><em>Profession. </em>Software engineers shal advance the integrity and reputation pf the profession consistent with the public interest.</li>
		<li><em>Colleagues. </em>Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self. </em>Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical to the practice of the profession</li>
	</ol>

</body>
</html>
